{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('notification/mass_operation/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('notification/mass_operation/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap">
        {% set notificationOverviewPaginationParameter = fetch_object_from_session('App\\PaginationParameter', 'notificationOverview') %}
        {% if notificationOverviewPaginationParameter != null  %}
            {% set notificationOverviewPath = path('notification_overview', notificationOverviewPaginationParameter.toUrlParameters()) %}
        {% else %}
            {% set notificationOverviewPath = path('notification_overview') %}
        {% endif %}
        <a href="{{ notificationOverviewPath }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Benachrichtigungen löschen <span class="text-secondary">({{ notifications|length }})</span></span>
        {{ form_widget(notificationMassOperationDeleteForm.delete, {'label': 'LÖSCHEN', 'id': notificationMassOperationDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto delete-button align-self-center'}}) }}
    </div>
{% endblock %}
{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h1 class="fs-4 d-flex align-items-center">
                    <span class="material-icons me-2 text-danger">warning_amber</span>
                    Die Benachrichtigungen und alle verknüpften Daten werden unwiderruflich gelöscht.
                </h1>
                <p>
                    Um die ausgewählten Objekte endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                    <span class="delete-code">benachrichtigungen_{{ notifications|length }}</span>
                </p>
                {{ form_start(notificationMassOperationDeleteForm, {'attr': {'id': notificationMassOperationDeleteForm.vars.id ~ '_form'}}) }}
                {{ form_row(notificationMassOperationDeleteForm.verificationCode) }}
                {{ form_row(notificationMassOperationDeleteForm.selectedRowIds) }}
                {{ form_row(notificationMassOperationDeleteForm._token) }}
                {{ form_end(notificationMassOperationDeleteForm, {'render_rest': false}) }}
            </div>
        </div>
        <div class="mdc-card mb-4">
            {% include 'notification/component/notification_list_component.html.twig' with {
                'idPrefix': 'notification_',
                'listItems': notifications,
                'massOperation': false,
                'pagination': false,
                'sortable': false,
                'showListItemActionButtons': false
            } only %}
        </div>
    </div>
{% endblock %}
